version: '2'

services:
  ca:
    container_name: ca
    image: hyperledger/fabric-ca
    environment:
      - FABRIC_CA_HOME=/etc/hyperledger/fabric-ca-server
    ports:
      - 7054:7054
    command: sh -c 'fabric-ca-server start --ca.certfile /etc/hyperledger/fabric-ca-server-config/peerOrg1-cert.pem --ca.keyfile /etc/hyperledger/fabric-ca-server-config/331cc9c5fc570a5f0f88537ca49196a0158618a9411d051dc67e8ac9fcee03a2_sk -b admin:adminpw' -d
    volumes:
      - ./crypto-config/peerOrganizations/peerOrg1/ca/:/etc/hyperledger/fabric-ca-server-config
      - ./fabricca/tlsOrg1:/etc/hyperledger/fabric-ca-server

  couchdb:
    container_name: couchdbca
    #image: couchdb
    image: hyperledger/fabric-couchdb
    ports:
      - 5984:5984
    volumes:
      - /var/hyperledger/couchdbca:/opt/couchdb/data
    environment:
      COUCHDB_USER: admin
      COUCHDB_PASSWORD: password
      DB_URL: http://localhost:5984/member_db

